if [ $# -ne 2 ];then
  echo "Usage: rename_episode.sh [source directory] [destination directory]"
  exit
fi
src=$1
dest=$2

echo "Schemes should be a regex of the form (?<=TEXT)\\d\\d(?=TEXT) where TEXT is uniquely identifying text"
read -p "Season Scheme? " sscheme
read -p "Episode Scheme? " escheme
read -p "Series Name? " name
echo "Overrides (leave blank if no override)"
read -p "Series? " so
read -p "Episode? " eo

mkdir "$dest/$name"
for file in "$src"/*; do
  if [[ -z $so ]];then
    s=`echo "$file" | grep -o -P "$sscheme"`
  else
    s=$so
  fi
  if [[ -z $eo ]];then
    e=`echo "$file" | grep -o -P "$escheme"`
    echo "success: $e"
  else
    e=$eo
    echo "fail"
  fi
  ext="${file##*.}"
  echo "ln '$file' '$dest/$name/$name.S$s.E$e.$ext'"
  ln "$file" "$dest/$name/$name.S$s.E$e.$ext"111
done
